// Inneneinrichtung Magic Train Personenwagen

//Includes

include <sitz.scad> //Die Sitze als Modul


//Grundplatte mit Holzboden
difference(){
    
    union(){
    cube([102,49,1.3]);
    translate([0,0,1.3])scale([0.341, 0.343, 0.005])
    surface(file = "Holzbohlen2.png");    
    }
    
    translate([-0.1,-0.1,-0.5])cube([2,2,3]); 
    translate([0.,47.1,-0.5])cube([2,2,3]); 
    translate([100.1,-0.1,-0.5])cube([2,2,3]); 
    translate([100.1,47.1,-0.5])cube([2,2,3]); 
    translate([10,24.5,-0.1])cylinder(d=5, h= 1.5, $fn=100);
    translate([92,24.5,-0.1])cylinder(d=5, h= 1.5, $fn=100);
    }
// Toilette, Gangseite
translate([0,1.1,0])union(){    
difference(){translate([0,18,1])cube([24.5,1,40]);
    translate([2,18.1,1])cube([12,1.2,37]);
}

translate([0,1,1])cube([24.5,17.5,15]);

translate([2.2,18.1,1])cube([11.6,1,36.8]);

// Türscharniere
translate([2.1,19.1,34])cylinder(h=2, d=0.5, $fn=100);

translate([2.1,19.1,4])cylinder(h=2, d=0.5, $fn=100);

// Türklinke

translate([11.5,18.9,19])cube([1.5,0.5,2.8]);

translate([12.25,19.9,20.8])rotate([90,0,0])cylinder(h = 1.5, r = 0.3, $fn=100);
translate([12.25,19.9,20.8]) sphere(0.3, $fn=100);
translate([12.25,19.9,20.8])rotate([0,-90,0])cylinder(h = 1.8, r = 0.3, $fn=100);

}
// Toilette, Sitzseite
translate([23.5,0,1])cube([1,19.5,40]); 

translate([0,1.9,1])cube([1,18,40]);

// Toilette, Dach
translate([0,0.5,39.9])cube([24.5,19.5,1.5]); 

// Sitzreihe Fensterseite
difference(){
translate([1.2,28.15,0])rotate([0,0,0])sitz();
translate([-40,28,0])cube(40);
}

translate([25.6,28.15,0])sitz();

translate([23.1,48.15,0])rotate([0,0,180])
    sitz();

translate([50.1,28.15,0])sitz();

translate([47.6,48.15,0])rotate([0,0,180])
    sitz();

translate([74.6,28.15,0])sitz();

translate([72.1,48.15,0])rotate([0,0,180])
    sitz();

difference(){
    translate([100.6,48.15,0])rotate([0,0,180])
    sitz();
translate([102,10,0])cube(40);
}

// Sitzreihe Toilettenseite
translate([25.1,0.05,0])sitz();

translate([49.6,0.15,0])sitz();

translate([47.6,20.15,0])rotate([0,0,180])
    sitz();

translate([74.1,0.15,0])sitz();

translate([72.1,20.15,0])rotate([0,0,180])
    sitz();

difference(){
    translate([100.6,20.08,0])rotate([0,0,180])sitz();
    translate([102,0,0])cube(40);
}
