// Sitz - Modul

module sitz(polster=1) {

// Wenn man keine Sitzpolster will, einfach das Modul mit sitz(0); oder irgendeiner anderen Zahl außer 1 aufrufen

//Auflösung 
$fn=100;

// Füße
translate([0.5,2,0])cube([7,4,5]);
translate([0.5,14,0])cube([7,4,5]);

//Sitzfläche
translate([0,0,4.99])
difference(){
  minkowski()
{    translate([1.0,2,0])
    cube([5.2,16,1]);
     cylinder(h = 0.1, d = 4);

}
    translate([-3,0,-0.1])cube([3.7,21,3]);
}



//Rückenlehne

difference(){
  rotate([0,-5,0])
  cube([1.2,20,18]);  
    translate([-0.1,0,-10.1])cube([10,25,10]);
}

difference(){
minkowski()
{    translate([-1.5,2,18])cube([1.2,16,14]);
      rotate([0,90,0])cylinder(h = 0.1, d = 4);
}
translate([-1.5,-0.1,8.9])cube([1.2,21,9]);
}

// Gepäcknetz
color("silver")translate([2.5,0,0])rotate([0,-5,0])union(){translate([-1,1.5,25])rotate([0,90,0])cylinder(h=5, d=1);
translate([4,1.5,25])
    sphere(d=1);

translate([-1,18.5,25])rotate([0,90,0])cylinder(h=5, d=1);
translate([4,18.5,25])
    sphere(d=1);

translate([4,18.5,25])rotate([90,0,0])cylinder(h=17, d=1);

translate([0.5,18.5,25])rotate([90,0,0])cylinder(h=17, d=0.3);
translate([1.5,18.5,25])rotate([90,0,0])cylinder(h=17, d=0.3);

translate([2.5,18.5,25])rotate([90,0,0])cylinder(h=17, d=0.3);

translate([-1,5.75,25])rotate([0,90,0])cylinder(h=5, d=0.3);

translate([-1,10,25])rotate([0,90,0])cylinder(h=5, d=0.3);

translate([-1,14.5,25])rotate([0,90,0])cylinder(h=5, d=0.3);
}    


if (polster==1){
    color("aqua")translate([0.5,2,6.01])minkowski(){
    cube([6,6.8,0.5]);
    cylinder(h=0.1, r=1,$fn=100);
    }
          
   color("aqua")translate([0.5,11.5,6.01])minkowski(){
    cube([6,6.8,0.5]);
    cylinder(h=0.1, r=1, $fn=100);
    }  

    color("aqua")translate([0,2,6.01])rotate([0,-5,0])minkowski(){
        cube([1.2,6.8,8.5]); 
        rotate([0,90,0])    cylinder(h=0.1, r=1, $fn=100);
    } 
   
    color("aqua")translate([0,11.5,6.01])rotate([0,-5,0])minkowski(){
        cube([1.2,6.8,8.5]); 
        rotate([0,90,0])    cylinder(h=0.1, r=1, $fn=100);
    } 

}
}
//sitz();